zenilib: PFR_GlyphRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
PFR_GlyphRec_ Struct Reference

`#include <pfrtypes.h>`

## Public Attributes

FT_Byte | format
FT_GlyphLoader | loader
FT_UInt | max_subs
FT_UInt | max_xy_control
FT_UInt | num_subs
FT_Bool | path_begun
PFR_SubGlyphRec * | subs
FT_Pos * | x_control
FT_Pos * | y_control

## Detailed Description

Definition at line 334 of file pfrtypes.h.

## Member Data Documentation

FT_Byte PFR_GlyphRec_::format

Definition at line 336 of file pfrtypes.h.

Referenced by sources.SourceProcessor::add_block_lines(), sources.SourceBlock::dump(), sources.SourceProcessor::parse_file(), sources.SourceProcessor::process_normal_line(), and sources.SourceProcessor::reset().

FT_GlyphLoader PFR_GlyphRec_::loader

Definition at line 351 of file pfrtypes.h.

Referenced by pfr_glyph_close_contour(), pfr_glyph_curve_to(), pfr_glyph_end(), pfr_glyph_line_to(), pfr_glyph_load_compound(), pfr_glyph_load_rec(), pfr_glyph_load_simple(), pfr_glyph_move_to(), and pfr_slot_load().

FT_UInt PFR_GlyphRec_::max_subs

Definition at line 348 of file pfrtypes.h.

Referenced by pfr_glyph_load_compound().

FT_UInt PFR_GlyphRec_::max_xy_control

Definition at line 342 of file pfrtypes.h.

Referenced by pfr_glyph_load_simple().

FT_UInt PFR_GlyphRec_::num_subs

Definition at line 347 of file pfrtypes.h.

Referenced by pfr_glyph_load_compound(), and pfr_glyph_load_rec().

FT_Bool PFR_GlyphRec_::path_begun

Definition at line 352 of file pfrtypes.h.

Referenced by pfr_glyph_close_contour(), pfr_glyph_curve_to(), pfr_glyph_line_to(), pfr_glyph_move_to(), and pfr_glyph_start().

PFR_SubGlyphRec* PFR_GlyphRec_::subs

Definition at line 349 of file pfrtypes.h.

Referenced by pfr_glyph_load_compound(), and pfr_glyph_load_rec().

FT_Pos* PFR_GlyphRec_::x_control

Definition at line 343 of file pfrtypes.h.

Referenced by pfr_glyph_load_simple().

FT_Pos* PFR_GlyphRec_::y_control

Definition at line 344 of file pfrtypes.h.

Referenced by pfr_glyph_load_simple().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/pfr/pfrtypes.h